package com.wyattjmiller.data

import org.ktorm.entity.Entity
import org.ktorm.schema.Table
import org.ktorm.schema.int
import org.ktorm.schema.varchar

object DbRecipeTable : Table<DbRecipeEntity>("recipe") {
    val id = int("id").primaryKey().bindTo { it.id }
    val name = varchar("name").bindTo { it.name }
    val desc = varchar("description").bindTo { it.desc }
    val ingredients = varchar("ingredients").bindTo { it.ingredients }
}

interface DbRecipeEntity : Entity<DbRecipeEntity> {
    companion object : Entity.Factory<DbRecipeEntity>()

    val id: Int
    val name: String
    val desc: String
    val ingredients: String
}